Name:           pmix
Version:        4.1.2
Release:        1
Summary:        Process Management Interface Exascale (PMIx)
License:        BSD
URL:            https://pmix.org
Source0:        https://github.com/openpmix/openpmix/releases/download/v%{version}/pmix-%{version}.tar.bz2
BuildRequires:  autoconf automake flex hwloc-devel libevent-devel libtool munge-devel perl-interpreter zlib-devel

%description
PMI has been used for quite some time as a means of exchanging wireup information needed
for interprocess communication.

%package        devel
Summary:        Development files for pmix
Requires:       pmix = %{version}-%{release}
Requires:       %{name}-tools = %{version}-%{release}
%description    devel
Libraries and header files for developing with pmix.

%package        tools
Summary:        Pmix tools
Requires:       pmix = %{version}-%{release}
%description    tools
Contains for use with PMIx-based RMs and language-based starters (e.g., mpirun).

%prep
%autosetup -n pmix-%{version} -p1
find src -name \*.l -print -exec touch --no-create {} \;

%build
%{_builddir}/pmix-%{version}/autogen.pl
%configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir}/pmix --disable-static \
  --disable-silent-rules --enable-shared --enable-pmi-backward-compatibility --with-munge

%make_build

%check
%make_build check

%install
%make_install
%delete_la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%files
%doc LICENSE README
%dir %{_datadir}/pmix
%dir %{_libdir}/pmix
%dir %{_sysconfdir}/pmix
%config(noreplace) %{_sysconfdir}/pmix/*.conf
%{_datadir}/pmix/*.txt
%{_libdir}/libpmix.so.2*
%{_libdir}/pmix/*.so
%{_mandir}/man1/*.1*

%files devel
%{_datadir}/pmix/*.supp
%{_includedir}/pmix*.h
%{_libdir}/libpmix.so
%{_libdir}/pkgconfig/*.pc

%files tools
%{_bindir}/*

%changelog
* Thu May 19 2022 liyanan <liyanan32@h-partners.com> - 4.1.2-1
- Update to 4.1.2

* Sat Sep 18 2021 caodongxia <caodongxia@huawei.com> - 3.1.4-3
- Correct the help information

* Wed Mar 4 2020 Ling Yang <lingyang2@huawei.com> - 3.1.4-2
- Package Init
